import type { RoutingV1HttpApiClient, RoutingV1HttpApiClientInit } from './index.js';
import type { AbortOptions } from '@libp2p/interface';
import type { PeerInfo } from '@libp2p/interface/peer-info';
import type { CID } from 'multiformats';
export declare class DefaultRoutingV1HttpApiClient implements RoutingV1HttpApiClient {
    #private;
    private started;
    private readonly httpQueue;
    private readonly shutDownController;
    private readonly clientUrl;
    private readonly timeout;
    /**
     * Create a new DelegatedContentRouting instance
     */
    constructor(url: string | URL, init?: RoutingV1HttpApiClientInit);
    isStarted(): boolean;
    start(): void;
    stop(): void;
    getProviders(cid: CID, options?: AbortOptions | undefined): AsyncGenerator<PeerInfo, any, unknown>;
}
//# sourceMappingURL=client.d.ts.map